<?php
ini_set('display_errors', 1);
date_default_timezone_set("Europe/Paris");
require 'vendor/autoload.php';
	
$options = Array();
$options["user"]  = Array("name"=>"admin", "password"=>"ae5or6cn", "domain"=>["id"=>"Default"]);
$options["scope"] = Array("project"=>Array("name"=>"admin", "domain"=>["id"=>"Default"]));
$options["authUrl"] = "http://148.60.11.31:5000/v3"; 
	 
$openstack = new OpenStack\OpenStack($options);

//$identity = $openstack->identityV3();
//var_dump($identity);
// Since usernames will not be unique across an entire OpenStack installation,
// when authenticating with them you must also provide your domain ID. You do
// not have to do this if you authenticate with a user ID.

/*$token = $identity->generateToken([
    'user' => [
        'name'     => 'admin',
        'password' => 'ae5or6cn',
        'domain'   => [
            'id' => 'Default'
        ]
    ]
	]);
 */
$compute = $openstack->computeV2(["region" => "RegionOne"]);
//var_dump($compute->client);
//$servers = $compute->listServers(true);

//foreach($servers as $server){
//	echo $server->id." !!! ";
//	echo $server->name." !!! ";
//}
